Index: /dynamico_lmdz/aquaplanet/LMDZ5/bld.cfg
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/bld.cfg	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/bld.cfg	(revision 3814)
@@ -22,14 +22,14 @@
 %LD_FLAGS          %BASE_LD %PARA_LD
 
-src::dyn     %SRC_PATH/%DYN
+%src::dyn     %SRC_PATH/%DYN
 src::phys    %SRC_PATH/%PHYS
-src::dyn_phys %DYN_PHYS
-src::dyn_phys_sub %DYN_PHYS_SUB
+%src::dyn_phys %DYN_PHYS
+%src::dyn_phys_sub %DYN_PHYS_SUB
 src::sisvat  %SISVAT
 src::rrtm    %RRTM
 src::grid    %SRC_PATH/grid
-src::filtrez %FILTRE
+%src::filtrez %FILTRE
 src::misc    %SRC_PATH/misc
-src::dyn3d_common   %DYN_COMMON 
+%src::dyn3d_common   %DYN_COMMON 
 src::cosp    %COSP
 src::ext_src %EXT_SRC
@@ -39,5 +39,6 @@
 bld::outfile_ext::exe    %SUFF_NAME.e
 bld::target              liblmdz.a 
-bld::target              %EXEC%SUFF_NAME.e
+#bld::target              %EXEC%SUFF_NAME.e
+bld::target              main_calfis%SUFF_NAME.e
 bld::exe_dep             
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/grid/dimension/dimensions.96.95.39
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/grid/dimension/dimensions.96.95.39	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/grid/dimension/dimensions.96.95.39	(revision 3814)
@@ -0,0 +1,12 @@
+!-----------------------------------------------------------------------
+!   INCLUDE 'dimensions.h'
+!
+!   dimensions.h contient les dimensions du modele
+!   ndm est tel que iim=2**ndm
+!-----------------------------------------------------------------------
+
+      INTEGER iim,jjm,llm,ndm
+
+      PARAMETER (iim= 96,jjm=95,llm=39,ndm=1)
+
+!-----------------------------------------------------------------------
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/misc/handle_err_m.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/misc/handle_err_m.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/misc/handle_err_m.F90	(revision 3814)
@@ -39,5 +39,5 @@
           end if
        end if
-       call abort_gcm("NetCDF95 handle_err", "", 1)
+       call abort_physic("NetCDF95 handle_err", "", 1)
     end if
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/misc/write_field.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/misc/write_field.F90	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/misc/write_field.F90	(revision 3814)
@@ -0,0 +1,326 @@
+!
+! $Id: write_field.F90 2239 2015-03-23 07:27:30Z emillour $
+!
+module write_field
+implicit none
+
+  integer, parameter :: MaxWriteField = 100
+  integer, dimension(MaxWriteField),save :: FieldId
+  integer, dimension(MaxWriteField),save :: FieldVarId
+  integer, dimension(MaxWriteField),save :: FieldIndex
+  character(len=255), dimension(MaxWriteField) ::  FieldName 
+   
+  integer,save :: NbField = 0
+  
+  interface WriteField
+    module procedure WriteField3d,WriteField2d,WriteField1d
+  end interface WriteField
+  contains
+  
+    function GetFieldIndex(name)
+    implicit none
+      integer          :: GetFieldindex
+      character(len=*) :: name
+    
+      character(len=255) :: TrueName
+      integer            :: i
+       
+      
+      TrueName=TRIM(ADJUSTL(name))
+    
+      GetFieldIndex=-1
+      do i=1,NbField
+        if (TrueName==FieldName(i)) then
+          GetFieldIndex=i
+          exit
+        endif
+      enddo
+    end function GetFieldIndex
+ 
+    subroutine WriteField3d(name,Field)
+    implicit none
+      character(len=*) :: name
+      real, dimension(:,:,:) :: Field 
+      integer, dimension(3) :: Dim
+      
+      Dim=shape(Field)
+      call WriteField_gen(name,Field,Dim(1),Dim(2),Dim(3))  
+  
+    end subroutine WriteField3d
+    
+    subroutine WriteField2d(name,Field)
+    implicit none
+      character(len=*) :: name
+      real, dimension(:,:) :: Field 
+      integer, dimension(2) :: Dim
+      
+      Dim=shape(Field)
+      call WriteField_gen(name,Field,Dim(1),Dim(2),1)  
+  
+    end subroutine WriteField2d
+    
+    subroutine WriteField1d(name,Field)
+    implicit none
+      character(len=*) :: name
+      real, dimension(:) :: Field 
+      integer, dimension(1) :: Dim
+      
+      Dim=shape(Field)
+      call WriteField_gen(name,Field,Dim(1),1,1)  
+  
+    end subroutine WriteField1d
+        
+    subroutine WriteField_gen(name,Field,dimx,dimy,dimz)
+    implicit none
+    include 'netcdf.inc'
+      character(len=*) :: name
+      integer :: dimx,dimy,dimz
+      real,dimension(dimx,dimy,dimz) :: Field
+      integer,dimension(dimx*dimy*dimz) :: ndex
+      integer :: status
+      integer :: index
+      integer :: start(4)
+      integer :: count(4)
+      
+           
+      Index=GetFieldIndex(name)
+      if (Index==-1) then
+        call CreateNewField(name,dimx,dimy,dimz)
+	Index=GetFieldIndex(name)
+      else
+        FieldIndex(Index)=FieldIndex(Index)+1.
+      endif
+      
+      start(1)=1
+      start(2)=1
+      start(3)=1
+      start(4)=FieldIndex(Index)
+
+      count(1)=dimx
+      count(2)=dimy
+      count(3)=dimz
+      count(4)=1
+
+      status = NF_PUT_VARA_DOUBLE(FieldId(Index),FieldVarId(Index),start,count,Field)
+      status = NF_SYNC(FieldId(Index))
+      
+    end subroutine WriteField_gen
+       
+    subroutine CreateNewField(name,dimx,dimy,dimz)
+    implicit none
+    include 'netcdf.inc'  
+      character(len=*) :: name
+      integer :: dimx,dimy,dimz
+      integer :: TabDim(4)
+      integer :: status
+      
+      
+      NbField=NbField+1
+      FieldName(NbField)=TRIM(ADJUSTL(name))
+      FieldIndex(NbField)=1
+      
+      
+      status = NF_CREATE(TRIM(ADJUSTL(name))//'.nc', NF_CLOBBER, FieldId(NbField))
+      status = NF_DEF_DIM(FieldId(NbField),'X',dimx,TabDim(1))
+      status = NF_DEF_DIM(FieldId(NbField),'Y',dimy,TabDim(2))
+      status = NF_DEF_DIM(FieldId(NbField),'Z',dimz,TabDim(3))
+      status = NF_DEF_DIM(FieldId(NbField),'iter',NF_UNLIMITED,TabDim(4))
+      status = NF_DEF_VAR(FieldId(NbField),FieldName(NbField),NF_DOUBLE,4,TabDim,FieldVarId(NbField))
+      status = NF_ENDDEF(FieldId(NbField))
+
+    end subroutine CreateNewField
+    
+    
+    
+  subroutine write_field1D(name,Field)
+    implicit none
+  
+    integer, parameter :: MaxDim=1
+    character(len=*)   :: name
+    real, dimension(:) :: Field
+    real, dimension(:),allocatable :: New_Field
+    character(len=20) :: str
+    integer, dimension(MaxDim) :: Dim
+    integer :: i,nb
+    integer, parameter :: id=10
+    integer, parameter :: NbCol=4
+    integer :: ColumnSize 
+    integer :: pos
+    character(len=255) :: form
+    character(len=255) :: MaxLen
+    
+    
+    open(unit=id,file=name//'.field',form='formatted',status='replace')
+    write (id,'("----- Field '//name//'",//)')
+    Dim=shape(Field)
+    MaxLen=int2str(len(trim(int2str(Dim(1)))))
+    ColumnSize=20+6+3+len(trim(int2str(Dim(1))))
+    Nb=0
+    Pos=2
+    do i=1,Dim(1)
+      nb=nb+1
+      
+      if (MOD(nb,NbCol)==0) then
+        form='(t'//trim(int2str(pos))// ',i'//trim(MaxLen) //'," ---> ",g22.16,/)'
+        Pos=2
+      else
+        form='(t'//trim(int2str(pos))// ',i'//trim(MaxLen) //'," ---> ",g22.16," | ",)'
+        Pos=Pos+ColumnSize
+      endif
+      write (id,form,advance='no') i,Field(i)
+    enddo
+     
+    close(id)
+
+  end subroutine write_field1D
+
+  subroutine write_field2D(name,Field)
+    implicit none
+  
+    integer, parameter :: MaxDim=2
+    character(len=*)   :: name
+    real, dimension(:,:) :: Field
+    real, dimension(:,:),allocatable :: New_Field
+    character(len=20) :: str
+    integer, dimension(MaxDim) :: Dim
+    integer :: i,j,nb
+    integer, parameter :: id=10
+    integer, parameter :: NbCol=4
+    integer :: ColumnSize 
+    integer :: pos,offset
+    character(len=255) :: form
+    character(len=255) :: spacing
+    
+    open(unit=id,file=name//'.field',form='formatted',status='replace')
+    write (id,'("----- Field '//name//'",//)')
+    
+    Dim=shape(Field)
+    offset=len(trim(int2str(Dim(1))))+len(trim(int2str(Dim(2))))+3
+    ColumnSize=20+6+3+offset
+
+    spacing='(t2,"'//repeat('-',ColumnSize*NbCol)//'")'
+    
+    do i=1,Dim(2)
+      nb=0
+      Pos=2
+      do j=1,Dim(1)
+        nb=nb+1
+      
+        if (MOD(nb,NbCol)==0) then
+          form='(t'//trim(int2str(pos))//            &
+               ',"('//trim(int2str(j))//','          &
+                    //trim(int2str(i))//')",t'       & 
+                    //trim(int2str(pos+offset))     &    
+                    //'," ---> ",g22.16,/)'
+          Pos=2
+        else
+          form='(t'//trim(int2str(pos))//            &
+               ',"('//trim(int2str(j))//','          &
+                    //trim(int2str(i))//')",t'       & 
+                    //trim(int2str(pos+offset))     &    
+                    //'," ---> ",g22.16," | ")'
+          Pos=Pos+ColumnSize
+        endif
+        write (id,form,advance='no') Field(j,i)
+      enddo
+      if (MOD(nb,NbCol)==0) then
+        write (id,spacing)
+      else
+        write (id,'("")')
+        write (id,spacing)
+      endif
+    enddo
+     
+  end subroutine write_field2D
+  
+  subroutine write_field3D(name,Field)
+    implicit none
+  
+    integer, parameter :: MaxDim=3
+    character(len=*)   :: name
+    real, dimension(:,:,:) :: Field
+    real, dimension(:,:,:),allocatable :: New_Field
+    integer, dimension(MaxDim) :: Dim
+    integer :: i,j,k,nb
+    integer, parameter :: id=10
+    integer, parameter :: NbCol=4
+    integer :: ColumnSize 
+    integer :: pos,offset
+    character(len=255) :: form
+    character(len=255) :: spacing
+
+    open(unit=id,file=name//'.field',form='formatted',status='replace')
+    write (id,'("----- Field '//name//'"//)')
+    
+    Dim=shape(Field)
+    offset=len(trim(int2str(Dim(1))))+len(trim(int2str(Dim(2))))+len(trim(int2str(Dim(3))))+4
+    ColumnSize=22+6+3+offset
+
+!    open(unit=id,file=name,form=formatted
+   
+    spacing='(t2,"'//repeat('-',ColumnSize*NbCol)//'")'
+    
+    do i=1,Dim(3)
+    
+      do j=1,Dim(2)
+        nb=0
+        Pos=2
+        
+        do k=1,Dim(1)
+        nb=nb+1
+      
+          if (MOD(nb,NbCol)==0) then
+            form='(t'//trim(int2str(pos))//            &
+                 ',"('//trim(int2str(k))//','          &
+                      //trim(int2str(j))//','          &
+                      //trim(int2str(i))//')",t'       & 
+                      //trim(int2str(pos+offset))      &    
+                      //'," ---> ",g22.16,/)'
+           Pos=2
+          else
+            form='(t'//trim(int2str(pos))//            &
+                 ',"('//trim(int2str(k))//','          &
+                      //trim(int2str(j))//','          &
+                      //trim(int2str(i))//')",t'       & 
+                      //trim(int2str(pos+offset))      &    
+                      //'," ---> ",g22.16," | ")'
+! dépent de l'implémention, sur compaq, c'est necessaire
+!            Pos=Pos+ColumnSize
+          endif
+          write (id,form,advance='no') Field(k,j,i)
+        enddo
+        if (MOD(nb,NbCol)==0) then
+          write (id,spacing)
+        else
+          write (id,'("")')
+          write (id,spacing)
+        endif
+      enddo
+      write (id,spacing)
+    enddo
+    
+    close(id)
+  
+  end subroutine write_field3D  
+  
+  function int2str(int)
+    implicit none
+    integer, parameter :: MaxLen=10
+    integer,intent(in) :: int
+    character(len=MaxLen) :: int2str
+    logical :: flag
+    integer :: i
+    flag=.true.
+    
+    i=int
+    
+    int2str=''
+    do while (flag)
+      int2str=CHAR(MOD(i,10)+48)//int2str
+      i=i/10
+      if (i==0) flag=.false.
+    enddo
+  end function int2str
+
+end module write_field
+  
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aaam_bud.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aaam_bud.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aaam_bud.F90	(revision 3814)
@@ -123,5 +123,5 @@
   IF (iim+1>801 .OR. jjm+1>401) THEN
     abort_message = 'Pb de dimension dans aaam_bud'
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/abort_physic.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/abort_physic.F90	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/abort_physic.F90	(revision 3814)
@@ -0,0 +1,49 @@
+      SUBROUTINE abort_physic(modname, message, ierr)
+     
+#ifdef CPP_IOIPSL
+      USE IOIPSL
+#else
+! if not using IOIPSL, we still need to use (a local version of) getin_dump
+      USE ioipsl_getincom
+#endif
+      USE mod_phys_lmdz_para
+#include "iniprint.h"
+ 
+!
+! Stops the simulation cleanly, closing files and printing various
+! comments
+!
+!  Input: modname = name of calling program
+!         message = stuff to print
+!         ierr    = severity of situation ( = 0 normal )
+
+      character(len=*), intent(in):: modname
+      integer ierr, ierror_mpi
+      character(len=*), intent(in):: message
+
+      write(lunout,*) 'in abort_gcm'
+#ifdef CPP_IOIPSL
+!$OMP MASTER
+      call histclo
+      call restclo
+      if (mpi_rank .eq. 0) then
+         call getin_dump
+      endif
+!$OMP END MASTER
+#endif
+
+      write(lunout,*) 'Stopping in ', modname
+      write(lunout,*) 'Reason = ',message
+      if (ierr .eq. 0) then
+        write(lunout,*) 'Everything is cool'
+      else
+        write(lunout,*) 'Houston, we have a problem, ierr = ', ierr
+#ifdef CPP_MPI
+!$OMP CRITICAL (MPI_ABORT_PHYSIC)
+        call MPI_ABORT(COMM_LMDZ_PHY, 1, ierror_mpi)
+!$OMP END CRITICAL (MPI_ABORT_PHYSIC)
+#else
+        stop 1
+#endif          
+      endif
+      END
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aeropt.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aeropt.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aeropt.F90	(revision 3814)
@@ -81,5 +81,5 @@
       IF (rh<0.) THEN
         abort_message = 'aeropt: RH < 0 not possible'
-        CALL abort_gcm(modname, abort_message, 1)
+        CALL abort_physic(modname, abort_message, 1)
       END IF
       IF (rh>85.) rh_num = 10
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aeropt_2bands.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aeropt_2bands.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aeropt_2bands.F90	(revision 3814)
@@ -536,5 +536,5 @@
           A1_SSSSM_b2(klev), A2_SSSSM_b2(klev), A3_SSSSM_b2(klev),&
           B1_SSSSM_b2(klev), B2_SSSSM_b2(klev), C1_SSSSM_b2(klev), C2_SSSSM_b2(klev), stat=ierr)
-        IF (ierr /= 0) CALL abort_gcm('aeropt_2bands', 'pb in allocation 1',1)
+        IF (ierr /= 0) CALL abort_physic('aeropt_2bands', 'pb in allocation 1',1)
      END IF
      
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aeropt_5wv.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aeropt_5wv.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/aeropt_5wv.F90	(revision 3814)
@@ -588,5 +588,5 @@
           A1_SSSSM(klev), A2_SSSSM(klev), A3_SSSSM(klev),&
           B1_SSSSM(klev), B2_SSSSM(klev), C1_SSSSM(klev), C2_SSSSM(klev), stat=ierr)
-        IF (ierr /= 0) CALL abort_gcm('aeropt_5mw', 'pb in allocation 1',1)
+        IF (ierr /= 0) CALL abort_physic('aeropt_5mw', 'pb in allocation 1',1)
      END IF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/calltherm.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/calltherm.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/calltherm.F90	(revision 3814)
@@ -208,5 +208,5 @@
           else if (iflag_thermals.eq.11) then
               abort_message = 'cas non prevu dans calltherm'
-              CALL abort_gcm (modname,abort_message,1)
+              CALL abort_physic (modname,abort_message,1)
 
 !           CALL thermcell_pluie(klon,klev,zdt  &
@@ -260,5 +260,5 @@
          else
            abort_message = 'Cas des thermiques non prevu'
-           CALL abort_gcm (modname,abort_message,1)
+           CALL abort_physic (modname,abort_message,1)
          endif
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/carbon_cycle_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/carbon_cycle_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/carbon_cycle_mod.F90	(revision 3814)
@@ -88,5 +88,5 @@
     USE comgeomphy
     USE mod_phys_lmdz_transfert_para
-    USE infotrac
+    USE infotrac_phy
     USE IOIPSL
     USE surface_data, ONLY : ok_veget, type_ocean
@@ -135,5 +135,5 @@
        WRITE(lunout,*) 'carbon_cycle_emis_comp = ',carbon_cycle_emis_comp
        IF (carbon_cycle_emis_comp) THEN
-          CALL abort_gcm('carbon_cycle_init', 'carbon_cycle_emis_comp option not yet implemented!!',1)
+          CALL abort_physic('carbon_cycle_init', 'carbon_cycle_emis_comp option not yet implemented!!',1)
        END IF
     END IF
@@ -225,5 +225,5 @@
           co2trac(itc)%updatefreq = 86400
           ! DOES THIS WORK ???? Problematic due to implementation of the coupled fluxes...
-          CALL abort_gcm('carbon_cycle_init','transport of total CO2 has to be implemented and tested',1)
+          CALL abort_physic('carbon_cycle_init','transport of total CO2 has to be implemented and tested',1)
        END SELECT
     END DO
@@ -247,5 +247,5 @@
     ! Allocate vector for storing fluxes to inject
     ALLOCATE(dtr_add(klon,maxco2trac), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('carbon_cycle_init', 'pb in allocation 11',1)       
+    IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation 11',1)       
     
     ! Allocate variables for cumulating fluxes from ORCHIDEE
@@ -253,9 +253,9 @@
        IF (.NOT. carbon_cycle_tr .AND. carbon_cycle_cpl) THEN
           ALLOCATE(fco2_land_day(klon), stat=ierr)
-          IF (ierr /= 0) CALL abort_gcm('carbon_cycle_init', 'pb in allocation 2',1)
+          IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation 2',1)
           fco2_land_day(1:klon) = 0.
           
           ALLOCATE(fco2_lu_day(klon), stat=ierr)
-          IF (ierr /= 0) CALL abort_gcm('carbon_cycle_init', 'pb in allocation 3',1)
+          IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation 3',1)
           fco2_lu_day(1:klon)   = 0.
        END IF
@@ -267,10 +267,10 @@
 !    IF (carbon_cycle_cpl .AND. type_ocean/='couple') THEN
 !       WRITE(lunout,*) 'Coupling with ocean model is needed for carbon_cycle_cpl'
-!       CALL abort_gcm('carbon_cycle_init', 'coupled ocean is needed for carbon_cycle_cpl',1)
+!       CALL abort_physic('carbon_cycle_init', 'coupled ocean is needed for carbon_cycle_cpl',1)
 !    END IF
 !
 !    IF (carbon_cycle_cpl .AND..NOT. ok_veget) THEN
 !       WRITE(lunout,*) 'Coupling with surface land model ORCHDIEE is needed for carbon_cycle_cpl'
-!       CALL abort_gcm('carbon_cycle_init', 'ok_veget is needed for carbon_cycle_cpl',1)
+!       CALL abort_physic('carbon_cycle_init', 'ok_veget is needed for carbon_cycle_cpl',1)
 !    END IF
 
@@ -278,5 +278,5 @@
     teststop=0
     DO it=1,teststop
-       CALL abort_gcm('carbon_cycle_init', 'Entering loop from 1 to 0',1)
+       CALL abort_physic('carbon_cycle_init', 'Entering loop from 1 to 0',1)
     END DO
 
@@ -284,5 +284,5 @@
        ! No carbon tracers found in tracer.def. It is not possible to do carbon cycle 
        WRITE(lunout,*) 'No carbon tracers found in tracer.def. Not ok with carbon_cycle_tr and/or carbon_cycle_cp'
-       CALL abort_gcm('carbon_cycle_init', 'No carbon tracers found in tracer.def',1)
+       CALL abort_physic('carbon_cycle_init', 'No carbon tracers found in tracer.def',1)
     END IF
     
@@ -303,5 +303,5 @@
 ! - Calculate CO2 flux to send to ocean and land models (PISCES and ORCHIDEE)
 
-    USE infotrac
+    USE infotrac_phy
     USE dimphy
     USE mod_phys_lmdz_transfert_para
@@ -370,5 +370,5 @@
              CASE DEFAULT
                 WRITE(lunout,*) 'Error with tracer ',co2trac(it)%name
-                CALL abort_gcm('carbon_cycle', 'No coupling implemented for this tracer',1)
+                CALL abort_physic('carbon_cycle', 'No coupling implemented for this tracer',1)
              END SELECT
           ELSE
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cdrag.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cdrag.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cdrag.F90	(revision 3814)
@@ -143,5 +143,5 @@
       WRITE(lunout,*)" The negative q1 is set to zero "
 !      abort_message="voir ci-dessus"
-!      CALL abort_gcm(modname,abort_message,1)
+!      CALL abort_physic(modname,abort_message,1)
   ENDIF
   IF (ng_qsurf.GT.0) THEN
@@ -150,5 +150,5 @@
       WRITE(lunout,*)" The negative qsurf is set to zero "
 !      abort_message="voir ci-dessus"
-!      CALL abort_gcm(modname,abort_message,1)
+!      CALL abort_physic(modname,abort_message,1)
   ENDIF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/change_srf_frac_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/change_srf_frac_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/change_srf_frac_mod.F90	(revision 3814)
@@ -109,5 +109,5 @@
           WRITE(lunout,*)'at point = ',MINLOC(pctsrf(:,:))
           WRITE(lunout,*)'value = ',MINVAL(pctsrf(:,:)) 
-          CALL abort_gcm('change_srf_frac','Negative fraction',1)
+          CALL abort_physic('change_srf_frac','Negative fraction',1)
        END IF
 
@@ -116,5 +116,5 @@
           DO i= 1, klon
              tmpsum = SUM(pctsrf(i,:))
-             IF (ABS(1. - tmpsum) > 0.05) CALL abort_gcm('change_srf_frac','Total fraction not equal 1.',1)
+             IF (ABS(1. - tmpsum) > 0.05) CALL abort_physic('change_srf_frac','Total fraction not equal 1.',1)
           END DO
        END IF
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/clcdrag.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/clcdrag.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/clcdrag.F90	(revision 3814)
@@ -73,5 +73,5 @@
 
   abort_message='obsolete, remplace par cdrag, use at you own risk'
-  CALL abort_gcm(modname,abort_message,1)
+  CALL abort_physic(modname,abort_message,1)
 
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/climb_wind_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/climb_wind_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/climb_wind_mod.F90	(revision 3814)
@@ -44,23 +44,23 @@
 
     ALLOCATE(alf1(klon), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate alf1',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocate alf1',1)
 
     ALLOCATE(alf2(klon), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate alf2',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocate alf2',1)
 
     ALLOCATE(Kcoefm(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate Kcoefm',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocate Kcoefm',1)
 
     ALLOCATE(Ccoef_U(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate Ccoef_U',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocate Ccoef_U',1)
 
     ALLOCATE(Dcoef_U(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocation Dcoef_U',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocation Dcoef_U',1)
 
     ALLOCATE(Ccoef_V(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocation Ccoef_V',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocation Ccoef_V',1)
 
     ALLOCATE(Dcoef_V(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocation Dcoef_V',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocation Dcoef_V',1)
 
     ALLOCATE(Acoef_U(klon), Bcoef_U(klon), Acoef_V(klon), Bcoef_V(klon), STAT=ierr)
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/coefcdrag.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/coefcdrag.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/coefcdrag.F90	(revision 3814)
@@ -78,5 +78,5 @@
 
   abort_message='obsolete, remplace par cdrag, use at you own risk'
-  CALL abort_gcm(modname,abort_message,1)
+  CALL abort_physic(modname,abort_message,1)
 
 !
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/comconst_phy_mod.f90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/comconst_phy_mod.f90	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/comconst_phy_mod.f90	(revision 3814)
@@ -0,0 +1,12 @@
+MODULE comconst_phy_mod
+
+      REAL,PARAMETER :: pi=3.1415926535897932384626433832795    ! something like 3.14159....
+
+      REAL, SAVE ::  daysec !length (in s) of a standard day
+!$OMP THREADPRIVATE(daysec)
+
+      REAL, SAVE :: dtvr ! dynamical time step (in s)
+!$OMP THREADPRIVATE(dtvr)
+
+
+END MODULE comconst_phy_mod
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/comgeom2_phy_mod.f90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/comgeom2_phy_mod.f90	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/comgeom2_phy_mod.f90	(revision 3814)
@@ -0,0 +1,10 @@
+MODULE comgeom2_phy_mod
+
+  REAL,ALLOCATABLE,SAVE :: rlatu(:)
+!$OMP THREADPRIVATE(rlatu)
+
+  REAL,ALLOCATABLE,SAVE :: rlatv(:)
+!$OMP THREADPRIVATE(rlatv)
+
+
+END MODULE comgeom2_phy_mod
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/comvert_phy_mod.f90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/comvert_phy_mod.f90	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/comvert_phy_mod.f90	(revision 3814)
@@ -0,0 +1,14 @@
+MODULE comvert_phy_mod
+
+  REAL,ALLOCATABLE,SAVE :: ap(:)     ! hybrid pressure contribution at interlayers
+!$OMP THREADPRIVATE(ap)
+  REAL,ALLOCATABLE,SAVE :: bp(:)     ! hybrid sigma contribution at interlayer
+!$OMP THREADPRIVATE(bp)
+  REAL,ALLOCATABLE,SAVE :: presnivs(:) ! (reference) pressure at mid-layers
+!$OMP THREADPRIVATE(presnivs)
+  REAL,SAVE :: preff  ! reference surface pressure (Pa)
+!$OMP THREADPRIVATE(preff)
+ 
+
+
+END MODULE comvert_phy_mod
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/concvl.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/concvl.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/concvl.F90	(revision 3814)
@@ -29,5 +29,5 @@
 
   USE dimphy
-  USE infotrac, ONLY: nbtr
+  USE infotrac_phy, ONLY: nbtr
   USE phys_local_var_mod, ONLY: omega
   IMPLICIT NONE
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/condsurf.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/condsurf.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/condsurf.F90	(revision 3814)
@@ -6,4 +6,5 @@
   USE mod_phys_lmdz_para
   USE indice_sol_mod
+  USE temps_phy_mod
   IMPLICIT NONE
 
@@ -26,5 +27,4 @@
   ! ym#include "dimensions.h"
   ! ym#include "dimphy.h"
-  include "temps.h"
   include "clesphys.h"
 
@@ -56,5 +56,5 @@
   IF (jour<0 .OR. jour>(360-1)) THEN
     PRINT *, 'Le jour demande n est pas correct: ', jour
-    CALL abort_gcm('condsurf', '', 1)
+    CALL abort_physic('condsurf', '', 1)
   END IF
 
@@ -76,5 +76,5 @@
     PRINT *, ' trouve pas sur les ', nannemax, ' annees a partir de '
     PRINT *, ' l annee de debut', annee_ref
-    CALL abort_gcm('condsurf', '', 1)
+    CALL abort_physic('condsurf', '', 1)
 
 100 CONTINUE
@@ -96,5 +96,5 @@
       WRITE (6, *) '       l an 2000 )  ,  n existe  pas !  '
       WRITE (6, *) ' ierr = ', ierr
-      CALL abort_gcm('condsurf', '', 1)
+      CALL abort_physic('condsurf', '', 1)
     END IF
     ! DO k = 1, jour
@@ -109,5 +109,5 @@
     ierr = nf_inq_varid(nid, 'BILS', nvarid)
     IF (ierr/=nf_noerr) THEN
-      CALL abort_gcm('cond_surf', 'Le champ <BILS> est absent', 1)
+      CALL abort_physic('cond_surf', 'Le champ <BILS> est absent', 1)
     END IF
     PRINT *, 'debut,epais', debut, epais, 'jour,jourvrai', jour, jourvrai
@@ -118,5 +118,5 @@
 #endif
     IF (ierr/=nf_noerr) THEN
-      CALL abort_gcm('condsurf', 'Lecture echouee pour <BILS>', 1)
+      CALL abort_physic('condsurf', 'Lecture echouee pour <BILS>', 1)
     END IF
     ! ENDDO !k = 1, jour
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/conema3.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/conema3.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/conema3.F90	(revision 3814)
@@ -8,5 +8,5 @@
 
   USE dimphy
-  USE infotrac, ONLY: nbtr
+  USE infotrac_phy, ONLY: nbtr
   IMPLICIT NONE
   ! ======================================================================
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/conemav.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/conemav.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/conemav.F90	(revision 3814)
@@ -8,5 +8,5 @@
 
   USE dimphy
-  USE infotrac, ONLY: nbtr
+  USE infotrac_phy, ONLY: nbtr
   IMPLICIT NONE
   ! ======================================================================
